Last Comment Bug 23331 - Full filename in attachment window
: Full filename in attachment window
Status: VERIFIED FIXED
:
Product: SeaMonkey
Classification: Client Software
Component: MailNews: Message Display (show other bugs)
: Trunk
: x86 Windows 98
P3 normal (vote)
: M13
Assigned To: Jean-Francois Ducarroz
: pmock
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2000-01-07 04:51 PST by Henrik Gemal
Modified: 2004-11-22 17:25 PST (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description User image Henrik Gemal 2000-01-07 04:51:33 PST
When you attach a file the full "name" of the file is shown:
file://c|/temp/test.jpg

This is not a very user friendly way of showing what files that the user
attached!

Either it should say:
c:\temp\test.jpg
or it should just say like in Netscape 4.7:
test.jpg
Comment 1 User image Phil Peterson 2000-01-10 11:52:59 PST
Reassign to jefft. I think we should just show the leaf name, e.g. test.jpg
Comment 2 User image jefft 2000-01-10 13:33:59 PST
Reassign to ducarroz ... He is working on it....
Comment 3 User image Jean-Francois Ducarroz 2000-01-11 17:11:59 PST
Easy to do with the new attachment pane architecture. We just need to differenciate HTTP url from file path.
Comment 4 User image Jean-Francois Ducarroz 2000-01-14 11:01:59 PST
File attachment will show only the leaf name (file name),
Web page won't show http://
other kind of attachment will show the whole URL unescaped

I have a fix waiting for review.
Comment 5 User image Jean-Francois Ducarroz 2000-01-14 17:46:59 PST
Fixed and checked in
Comment 6 User image fenella 2000-03-02 16:59:15 PST
Linux (2000-03-02-09 M15)
Win32 (2000-03-02-09 M15)
Mac (2000-03-02-08 M15)
Attached Full filename in attachment window is working as described.

Note You need to log in before you can comment on or make changes to this bug.